This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 12935 - HTML code auto-indentation
Summary: HTML code auto-indentation
Status: RESOLVED FIXED
Alias: None
Product: javaee
Classification: Unclassified
Component: JSP (show other bugs)
Version: 3.x
Hardware: All All
: P3 blocker (vote)
Assignee: Petr Pisl
URL:
Keywords:
Depends on:
Blocks: 15566
  Show dependency tree
 
Reported: 2001-06-17 08:05 UTC by _ gtzabari
Modified: 2006-06-05 00:02 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
Exception Reporter:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description _ gtzabari 2001-06-17 08:05:46 UTC
Auto-indent HTML code. For example, given:

<table>
<tr>
<td>
hello
</td>
</tr>
</table>

produce:

<table>
  <tr>
    <td>
    </td>
  </tr>
</table>

NOTE: Indentation should follow JSP code. For example, given:

<% if (someFlag)
   {
%>
write something here
<% }%>

   auto-indentation should yield:

<% 
  if (someFlag)
  {
    %>
    write something here
    <%
  }
%>

   notice the HTML indentation takes into account where the JSP code left 
off..
Comment 1 Jan Chalupa 2001-11-27 17:37:01 UTC
Target milestone -> 3.3.1.
Comment 2 Marek Grummich 2002-07-22 12:14:34 UTC
Set target milestone to TBD
Comment 3 Marek Grummich 2002-07-22 12:25:28 UTC
Set target milestone to TBD
Comment 4 Petr Pisl 2003-11-03 15:03:58 UTC
Same improvements were committed into project branch. There is java
indentation engine in the scriptlets. There is indentation engine for
html files as well. The html indent engine is not clever as is
requested in this issue, so I'm marking this issue as started. 
Comment 5 Petr Pisl 2003-11-04 12:15:54 UTC
After discussion with other people in the team, I close this bug. The
main reason is, that the bulk of this bug is fixed and committed in
the project branch. I will going to merge these changes in the
maintrunk in a few days. What is not fixed is mentioned in the issue#
37007.